Class | Net::IMAP::BodyTypeBasic
In: | net/imap.rb
Parent: | Struct.new(:media_type, :subtype, :param, :content_id, :description, :encoding, :size, :md5, :disposition, :language, :extension)

Net::IMAP::BodyTypeBasic represents basic body structures of messages.

#### Fields:

media_type: | Returns the content media type name as defined in [MIME-IMB].
subtype: | Returns the content subtype name as defined in [MIME-IMB].
param: | Returns a hash that represents parameters as defined in [MIME-IMB].
content_id: | Returns a string giving the content id as defined in [MIME-IMB].
description: | Returns a string giving the content description as defined in [MIME-IMB].
encoding: | Returns a string giving the content transfer encoding as defined in [MIME-IMB].
size: | Returns a number giving the size of the body in octets.
md5: | Returns a string giving the body MD5 value as defined in [MD5].
disposition: | Returns a Net::IMAP::ContentDisposition object giving the content disposition.
language: | Returns a string or an array of strings giving the body language value as defined in [LANGUAGE-TAGS].
extension: | Returns extension data.
multipart?: | Returns false.

### Methods

media_subtype multipart?

### Public Instance methods

media_subtype()

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

[Source]

    # File net/imap.rb, line 1744
          def media_subtype
            $stderr.printf("warning: media_subtype is obsolete.\n")
            $stderr.printf("         use subtype instead.\n")
            return subtype
          end

multipart?()

[Source]

    # File net/imap.rb, line 1737
          def multipart?
            return false
          end

[Validate]